cmake_minimum_required(VERSION 3.14)

project(
    ift630_sts3
    VERSION 0.1.0
	DESCRIPTION "bs project to learn openMPI / openMP"
    LANGUAGES C
)

set(src
	src/main.c
	)

set(CMAKE_DEBUG_POSTFIX d)
add_executable(ift630_sts3 ${src})

find_package(MPI) #make it REQUIRED, if you want
include_directories(SYSTEM ${MPI_INCLUDE_PATH})
target_link_libraries(ift630_sts3 ${MPI_C_LIBRARIES})

set_target_properties(ift630_sts3 PROPERTIES DEBUG_POSTFIX ${CMAKE_DEBUG_POSTFIX})
target_compile_features(ift630_sts3 PRIVATE c_std_99)
